import React from 'react';
import { Tooltip , message } from 'antd';
import './sub.scss';

function Invite({code,className}) {

  function jsCopy(id) {
    const copyEle = document.querySelector(id); // 获取要复制的节点
    const range = document.createRange(); // 创造range
    window.getSelection().removeAllRanges(); //清除页面中已有的selection
    range.selectNode(copyEle); // 选中需要复制的节点
    window.getSelection().addRange(range); // 执行选中元素
    document.execCommand("Copy"); // 执行copy操作
    message.success('复制成功');
  }
  return(
    <div className={className}>
      <span className="font-16 color-grey-6">邀请码</span>
      <div>
        <span id="devitecode">{code}</span>
        <Tooltip title={<p className="edu-txt-center">可以通过邀请码邀请成员加入项目<br/>点击复制邀请码。</p>}  placement={"bottom"}>
          <i className="iconfont icon-fuzhi2 font-16 color-blue ml8" onClick={()=>jsCopy("#devitecode")}></i>
        </Tooltip>
      </div>
    </div>
  )
}
export default Invite;